function loadWoodcut()
	charWoodcut = love.graphics.newImage("assets/sprites/skills/woodcut.png")
	woodcutAnim = newAnimation(charWoodcut, 25, 35, 0.2, 4)
	woodcutAnim:setSpeed(1.2)
	
	woodcutTile1 = love.graphics.newImage("assets/tiles/skills/woodcut.png")
	woodcutTile2 = love.graphics.newImage("assets/tiles/skills/woodcut.png")
end

function drawWoodcut()
	love.graphics.draw(woodcutTile1, 50, 95)
	love.graphics.draw(woodcutTile2, 140, 125)
	if woodcut then
		move = false
		moveUp = false
		moveDown = false
		moveLeft = false
		moveRight = false
		lastDirection = ""
		directionGoing = ""
		woodcutAnim:draw(charX, charY)
	end
end

function updateWoodcut(dt)
	if charY >= 70 and charY <= 85 and charX >= 45 and charX <= 53 then
		woodcutTile1 = love.graphics.newImage("assets/tiles/skills/woodcut_lit.png")
		onWoodcutTile = true
	elseif charY >= 100 and charY <= 115 and charX >= 135 and charX <= 143 then
		woodcutTile2 = love.graphics.newImage("assets/tiles/skills/woodcut_lit.png")
		onWoodcutTile = true
	else
		woodcutTile1 = love.graphics.newImage("assets/tiles/skills/woodcut.png")
		woodcutTile2 = love.graphics.newImage("assets/tiles/skills/woodcut.png")
		onWoodcutTile = false
	end
	if woodcut and not typing then
		woodcutAnim:update(dt)
		woodcutFrame = woodcutAnim:getCurrentFrame()
		if woodcutFrame == 4 then
			logChance = math.random(2)
			timberChance = math.random(33)
			chop:play()
			woodcutAnim:reset()
			if logChance == 1 then
				--logsValue = logsValue + 1
			end
			if timberChance == 1 then
				--tree falls
				print ("tree fell")
			end
		end
		skilling = true
	elseif not woodcut then
		chop:stop()
		woodcutAnim:reset()
	end
end

function pressWoodcut(key, unicode)
	if key == "e" and onWoodcutTile then
		woodcut = true
	end
end

function releaseWoodcut(key, unicode)
	if key == "e" and onWoodcutTile then
		woodcut = false
		skilling = false
		lastDirection = "up"
	end
end