function loadMap()
	love.window.setMode(765, 502, { vsync = true })
	v = true
	grass = love.graphics.newImage("assets/tiles/grass.png")
	water = love.graphics.newImage("assets/tiles/water.png")

	dMap = {}
	dMap[1] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[2] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[3] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[4] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[5] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[6] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[7] = {0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[8] = {0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[9] = {0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[10] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	dMap[11] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
	
	treetop = love.graphics.newImage("assets/sprites/resources/treetop.png")
	treebottom = love.graphics.newImage("assets/sprites/resources/treebottom.png")
	
	backObj = {}
	--Trees
	backObj[1] = {treetop, 35, 5}
	backObj[2] = {treetop, 125, 35}
	
	frontObj = {}
	--Trees
	frontObj[1] = {treebottom, 35, 65}
	frontObj[2] = {treebottom, 125, 95}
end

function drawMap()
	for i=1,17 do
		if dMap[1][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 0+5)
		elseif dMap[1][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 0+5)
		end
	end
	for i=1,17 do
		if dMap[2][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30+5)
		elseif dMap[2][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30+5)
		end
	end
	for i=1,17 do
		if dMap[3][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*2+5)
		elseif dMap[3][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*2+5)
		end
	end
	for i=1,17 do
		if dMap[4][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*3+5)
		elseif dMap[4][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*3+5)
		end
	end
	for i=1,17 do
		if dMap[5][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*4+5)
		elseif dMap[5][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*4+5)
		end
	end
	for i=1,17 do
		if dMap[6][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*5+5)
		elseif dMap[6][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*5+5)
		end
	end
	for i=1,17 do
		if dMap[7][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*6+5)
		elseif dMap[7][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*6+5)
		end
	end
	for i=1,17 do
		if dMap[8][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*7+5)
		elseif dMap[8][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*7+5)
		end
	end
	for i=1,17 do
		if dMap[9][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*8+5)
		elseif dMap[9][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*8+5)
		end
	end
	for i=1,17 do
		if dMap[10][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*9+5)
		elseif dMap[10][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*9+5)
		end
	end
	for i=1,17 do
		if dMap[11][i] == 0 then
			love.graphics.draw(grass, -30+30*i+5, 30*10+5)
		elseif dMap[11][i] == 1 then
			love.graphics.draw(water, -30+30*i+5, 30*10+5)
		end
	end
end

function backObjDraw()
	for i = 1,#backObj do
		love.graphics.draw(backObj[i][1], backObj[i][2], backObj[i][3])
	end
end

function frontObjDraw()
	for i = 1,#frontObj do
		love.graphics.draw(frontObj[i][1], frontObj[i][2], frontObj[i][3])
	end
end