function loadCollision()
	walls = {}
	--Water
	walls[1] = {35, 185}
	walls[2] = {35, 215}
	walls[3] = {65, 215}
	walls[4] = {35, 245}
	walls[5] = {65, 245}
	walls[6] = {95, 245}
	--Trees
	walls[7] = {35, 65}
	walls[8] = {65, 65}
	walls[9] = {125, 95}
	walls[10] = {155, 95}
end

function detectCollision()
	for i = 1,#walls do
		if charX == walls[i][1]-20 and charY > walls[i][2]-32 and charY < walls[i][2]+6 then
			charX = charX - 1
		elseif charX > walls[i][1]-21 and charX < walls[i][1]+30-4 and charY == walls[i][2]+5 then
			charY = charY + 1
		elseif charX == walls[i][1]+30-5 and charY > walls[i][2]-32 and charY < walls[i][2]+6 then
			charX = charX + 1
		elseif charX > walls[i][1]-21 and charX < walls[i][1]+30-4 and charY == walls[i][2]-31 then
			charY = charY - 1
		end
	end
	
	--Planes wrapping the map
	if charY == 304 and moveDown then
		charY = charY - 1
	elseif charY == -25+5 and moveUp then
		charY = charY + 1
	elseif charX == -6+5 and moveLeft then
		charX = charX + 1
	elseif charX == 496 and moveRight then
		charX = charX - 1	
	end
end